Feature: Can the adapter publish messages?
  The adapter publish method works as expected

  Scenario: A message can be published successfully
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When a mock send API response is configured to return success
    When the publish method is called
    Then a successful response is returned with status 200

  Scenario: A failed publish returns a 403
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When a mock send API response is configured to return an error
    When the publish method is called
    Then an error response is returned with status 403
