Feature: Can the adapter create an authorization header?
  The adapter getAuthorizationHeader method works as expected

  Scenario: getAuthorizationHeader returns a bearer token
    Given valid config
    When the adapter instance is created
    When the auth method is called
    When the getAuthorizationHeader method is called
    Then a headers object is returned containing a bearer token authorization header

  Scenario: getAuthorizationHeader implicitly calls auth if required
    Given valid config
    When the adapter instance is created
    When the getAuthorizationHeader method is called
    Then a headers object is returned containing a bearer token authorization header

  Scenario: getAuthorizationHeader implicitly calls auth if required
    Given invalid config
    When the adapter instance is created
    When the getAuthorizationHeader method is called
    Then an error response is returned with status 403